# CUTLASS: cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params Struct Reference

cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params Struct Reference

Parameters structure.

`#include <tensor_fill.h>`

Collaboration diagram for cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params:
[legend]

## Public Member Functions

CUTLASS_HOST_DEVICE | Params ()
| Default ctor. More...
| Params (TensorView view_, Element *ptr_)
| Construction of Gaussian RNG functor. More...

## Public Attributes

TensorView | view
Element * | ptr

## Constructor & Destructor Documentation

template<typename Element , typename Layout >

CUTLASS_HOST_DEVICE cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params::Params | ( |  | ) |

inline

template<typename Element , typename Layout >

cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params::Params | ( | TensorView | view_,
|  | Element * | ptr_
| ) |  |

inline

Parameters

  view_ | destination tensor

## Member Data Documentation

template<typename Element , typename Layout >

Element* cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params::ptr

template<typename Element , typename Layout >

TensorView cutlass::reference::device::detail::TensorCopyDiagonalOutFunc< Element, Layout >::Params::view

The documentation for this struct was generated from the following file:

- device/tensor_fill.h